Skip to main content
PATCH
Partially updates an event. Tasks can be mutated atomically via the three task-list arrays.

Authorizations

Authorization
string
header
required

OAuth2 bearer token in the Authorization header

Path Parameters

space_id
string<uuid>
required

UP Space Id

event_id
string<uuid>
required

Unique identifier of a scheduled Event

Body

application/json

All fields are optional except for the implicit event ID (taken from the path). Tasks can be mutated atomically via the three task-list arrays.

name
string
color
enum<string>
Available options:
BLUE,
CYAN,
GREEN,
MAGENTA,
RED,
YELLOW
duration
integer
rrule
string
tags
string[]
tasks_to_add
object[]
tasks_to_update
object[]
tasks_to_delete
string<uuid>[]

Response

Update Event

id
string<uuid>
required
name
string
required
color
enum<string>
required
Available options:
BLUE,
CYAN,
GREEN,
MAGENTA,
RED,
YELLOW
duration
integer
required

Duration in seconds for each occurrence. May be 0.

rrule
string
required

RFC-5545 §3.8.5.3 recurrence rule, including time zone.

tags
string[]
required
tasks
object[]
required